PETSc version 3.17.4
Fix/Edit manual page

# PetscMemcmp

Compares two byte streams in memory.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMemcmp(const void *str1, const void *str2, size_t len, PetscBool *e)

Not Collective

### Input Parameters

| str1 | - Pointer to the first byte stream
| str2 | - Pointer to the second byte stream
| len | - The length of the byte stream (both str1 and str2 are assumed to be of length len)

### Output Parameters

| e | - PETSC_TRUE if equal else PETSC_FALSE.

### Note

PetscArraycmp() is preferred This routine is anologous to memcmp()

### See Also

PetscMemcpy(), PetscMemcmp(), PetscArrayzero(), PetscMemzero(), PetscArraycmp(), PetscArraycpy(), PetscStrallocpy(),
PetscArraymove()

### Level

intermediate

### Location

src/sys/utils/memc.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages